#
# spec file for package dtv-scan-tables
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dtv-scan-tables
Version:        20170419
Release:        1.1
Summary:        Scan files for digital TV applications v3
License:        GPL-2.0+ and LGPL-2.1
Group:          Hardware/TV
Url:            http://linuxtv.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version} > 1320 || (0%{?suse_version} == 1315 && 0%{?is_opensuse})
BuildRequires:  dvb-utils
%else
BuildRequires:  v4l-utils
%endif

%description
Scan data needed for some scanning applications from dvb package and maybe
others. This package contains v3 of the files.

%package v5
Summary:        Scan files for digital TV applications v5
Group:          Hardware/TV

%description v5
Scan data needed for some scanning applications from dvb package and maybe
others. This package contains v5 of the files.

%prep
%setup -q

%build
make %{?_smp_mflags} dvbv3 dvbv5

%install
%make_install DVBV3DIR=dvb DATADIR=%{buildroot}/%{_datadir} install_v3

%fdupes -s %{buildroot}/%{_datadir}/dvb/
%fdupes -s %{buildroot}/%{_datadir}/dvbv5/

%files
%defattr(-,root,root)
%doc COPYING COPYING.LGPL
%{_datadir}/dvb

%files v5
%defattr(-,root,root)
%doc COPYING COPYING.LGPL
%{_datadir}/dvbv5

%changelog
* Mon Apr 24 2017 mpluskal@suse.com
- Update to version 20170419:
  * Add a new list for USA/CAN
  * Fix Ukraine, Kyiv
  * Update dvb-t/ua-Kyiv with new transponders and corrections
  * dvb-scan-tables: updated Digita frequencies for Finland
  * dtv-scan-tables: add new channels to dvb-t/de-Bayern
* Sun Mar  5 2017 mpluskal@suse.com
- Update to version 20170203:
  * Initial DVB-T2 scan data file for ke-Nairobi (Nairobi, Kenya)
* Sun Jan  8 2017 mpluskal@suse.com
- Update to version 20161227:
  * Add scan file for fi-kaisa
  * dvb-t/es-Asturias: whitespace fixes
  * Create pl-Krosno_Sucha_Góra
  * Create pl-Warszawa
  * UPC Česká republika - value adjustment for FEC
  * Rename pl-Krosno_Sucha_Gora with only ASCII characters
  * renaming NTSC file because it doesnt actually use 8VSV, updating channel listings, add channel numbers
  * ca-ON-Toronto: adding scan file for Toronto, Canada, added channel numbers
  * DVB-T2 for ug-All, Kampala
  * DVB-T2 channels with Russia channel range and Vladivostok
- Update _service file to generate changelog as well
- Small spec file cleanup
- Send to Leap (boo#1018436)
* Wed Oct 28 2015 seife+obs@b1-systems.com
- fix build against Leap in vdr project
* Tue Apr  7 2015 jslaby@suse.com
- update to 20150208
  * updated scan files
- use their makefile
- install v5 dvb files (in a subpackage)
* Sun Mar 30 2014 seife+obs@b1-systems.com
- add BuildRoot: to allow build on SLES11
* Mon May 20 2013 jslaby@suse.com
- update to 20130412
  * updated scan files
  * added license files (drop our copy)
* Thu Jan 17 2013 jslaby@suse.com
- new package
